From 25da8400e054061dd903755482ef5982116537b0 Mon Sep 17 00:00:00 2001
From: Haroon <muhammad.haroon@2ndquadrant.com>
Date: Thu, 16 Aug 2018 17:05:34 +0500
Subject: [PATCH] Adding 2ndQuadrant PGInstaller to downloads section

---
 templates/pages/download/linux.html                |  2 +
 templates/pages/download/linux/debian.html         |  2 +
 .../pages/download/linux/linux_2ndquadrant.inc     | 20 +++++++++
 templates/pages/download/linux/redhat.html         |  3 ++
 templates/pages/download/linux/ubuntu.html         |  2 +
 templates/pages/download/macosx.html               | 47 ++++++++++++++++++++++
 templates/pages/download/windows.html              | 46 +++++++++++++++++++++
 7 files changed, 122 insertions(+)
 create mode 100644 templates/pages/download/linux/linux_2ndquadrant.inc

diff --git a/templates/pages/download/linux.html b/templates/pages/download/linux.html
index 9cd6bcc..bd5e644 100644
--- a/templates/pages/download/linux.html
+++ b/templates/pages/download/linux.html
@@ -47,5 +47,7 @@ the documentation for your Linux distribution.
   <a href="/download/linux/ubuntu/">Ubuntu</a> and <a href="/download/linux/suse/">SuSE</a>
   pages, but can be expected to work on reasonably modern distributions in most cases.</p>
 
+{%include "pages/download/linux/linux_2ndquadrant.inc" %}
+
 {%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index b647817..223d191 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -130,6 +130,8 @@ Once backports is enabled, you can install PostgreSQL the same way as with
 the builtin repositories.
 </p>
 
+{%include "pages/download/linux/linux_2ndquadrant.inc" %}
+
 {%include "pages/download/linux/linux_oneclick.inc" %}
 
 <h3>Platform support</h3>
diff --git a/templates/pages/download/linux/linux_2ndquadrant.inc b/templates/pages/download/linux/linux_2ndquadrant.inc
new file mode 100644
index 0000000..ecc0f63
--- /dev/null
+++ b/templates/pages/download/linux/linux_2ndquadrant.inc
@@ -0,0 +1,20 @@
+<h2>PGInstaller by 2ndQuadrant</h2>
+
+<p>
+ Download <a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller for Linux</a> - certified by
+ 2ndQuadrant for PostgreSQL 9.5 and above.
+</p>
+
+<p><a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller</a> provides a cross-platform, user-friendly
+ installation for open source PostgreSQL. The installer supports three modes of installation: Graphical, Unattended and Text. 
+</p>
+
+<p>
+PGInstaller includes PostgreSQL server, standard contrib modules, geospatial support, SSL, integration with native service control managers and more. It also includes OmniDB,
+ a powerful, interactive database management tool that allows users to manage multiple databases in a unified workspace with a user-friendly interface. 
+</p>
+
+<p>
+<em>Note:</em> The cross distribution packages do not fully integrate with
+the platform-specific packaging systems.
+</p>
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index 0aa475f..8b34bfc 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -187,6 +187,8 @@ all the RPMs that are in the yum repository are available for
 and manual installation as well.
 </p>
 
+{%include "pages/download/linux/linux_2ndquadrant.inc" %}
+
 {%include "pages/download/linux/linux_openscg.inc" %}
 
 {%include "pages/download/linux/linux_oneclick.inc" %}
@@ -238,5 +240,6 @@ and manual installation as well.
   </tbody>
 </table>
 
+
 {%include "pages/download/linux/linux_source.inc" %}
 {%endblock%}
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index 954f415..b5160fe 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -115,6 +115,8 @@ version number as required):
   </tbody>
 </table>
 
+{%include "pages/download/linux/linux_2ndquadrant.inc" %}
+
 {%include "pages/download/linux/linux_openscg.inc" %}
 
 {%include "pages/download/linux/linux_oneclick.inc" %}
diff --git a/templates/pages/download/macosx.html b/templates/pages/download/macosx.html
index 74f5f3d..c7530a1 100644
--- a/templates/pages/download/macosx.html
+++ b/templates/pages/download/macosx.html
@@ -106,6 +106,53 @@ and integration with external databases (Cassandra, Oracle, SQL Server, Hadoop),
 and procedural languages (Python, Perl, Java, and TCL).
 </p>
 
+<h2>PGInstaller by 2ndQuadrant</h2>
+
+<p>
+ Download <a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller for macOS</a> - certified by
+ 2ndQuadrant for PostgreSQL 9.5 and above.
+</p>
+
+<p><a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller</a> provides a cross-platform, user-friendly
+ installation for open source PostgreSQL. The installer supports three modes of installation: Graphical, Unattended and Text. 
+</p>
+
+<p>
+PGInstaller includes PostgreSQL server, standard contrib modules, geospatial support, SSL, integration with native service control managers and more. It also includes OmniDB,
+ a powerful, interactive database management tool that allows users to manage multiple databases in a unified workspace with a user-friendly interface. 
+</p>
+
+<h3>Supported Platforms</h3>
+
+<p>PostgreSQL can be installed using PGInstaller on the following macOS platforms. The installation has been tested and verified by 2ndQuadrant.</p>
+
+<table class="table table-striped">
+  <thead class="thead-light">
+    <tr>
+      <th>PostgreSQL Version</th>
+      <th>64 Bit macOS Platforms</th>
+    </tr>
+  </thead>
+  <tbody>
+   <tr>
+      <td>11</td>
+      <td> >= 10.11 </td>
+   </tr>
+   <tr>
+      <td>10</td>
+      <td> >= 10.11 </td>
+    </tr>
+    <tr>
+      <td>9.6</td>
+      <td> >= 10.11 </td>
+    </tr>
+    <tr>
+      <td>9.5</td>
+      <td> >= 10.11 </td>
+    </tr>
+  </tbody>
+</table>
+
 <h2>Postgres.app</h2>
 <p>
 <a href="http://postgresapp.com">Postgres.app</a> is a simple, native macOS app that runs in the menubar without the need of an installer. Open the app, and you have a PostgreSQL server
diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index b656d31..29e7906 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -112,5 +112,51 @@ Advanced users can also download a
 version of the distribution, for scriptable installs or embedding with other applications.
 </p>
 
+<h2>PGInstaller by 2ndQuadrant</h2>
+
+<p>
+ Download <a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller for Windows</a> - certified by
+ 2ndQuadrant for PostgreSQL 9.5 and above.
+</p>
+
+<p><a href="https://www.2ndquadrant.com/en/resources/postgresql-installer-2ndquadrant/"> PGInstaller</a> provides a cross-platform, user-friendly
+ installation for open source PostgreSQL. The installer supports three modes of installation: Graphical, Unattended and Text.
+</p>
+
+<p>
+PGInstaller includes PostgreSQL server, standard contrib modules, geospatial support, SSL, integration with native service control managers and more. It also includes OmniDB,
+ a powerful, interactive database management tool that allows users to manage multiple databases in a unified workspace with a user-friendly interface.
+</p>
+
+<h3>Supported Platforms</h3>
+
+<p>PostgreSQL can be installed using PGInstaller on the following Windows platforms. The installation has been tested and verified by 2ndQuadrant.</p>
+
+<table class="table table-striped">
+  <thead class="thead-light">
+    <tr>
+      <th>PostgreSQL Version</th>
+      <th>64 Bit Windows Platforms</th>
+    </tr>
+  </thead>
+  <tbody>
+   <tr>
+      <th scope="row">11</th>
+      <td>2016, 2012 R2, 10, 8</td>
+   </tr>
+   <tr>
+      <th scope="row">10</th>
+      <td>2016, 2012 R2, 10, 8</td>
+    </tr>
+    <tr>
+      <th scope="row">9.6</th>
+      <td>2016, 2012 R2, 10, 8</td>
+    </tr>
+    <tr>
+      <th scope="row">9.5</th>
+      <td>2016, 2012 R2, 10, 8</td>
+    </tr>
+  </tbody>
+</table>
 
 {%endblock%}
-- 
2.7.4 (Apple Git-66)

